Create user that will run the red5-server daemon:

sudo useradd _red5

Create the sh script. We will paste contents from the script below:

sudo nano /etc/init.d/red5-server

Make it executable:

sudo chmod a+x /ect/init.d/red5-server

Make it start up at boot-up in default run levels 2,3,4, and 5:

sudo update-rc.d red5-server defaults

If you later want to stop the service:

sudo update-rc.d -f apache2 remove

You can edit different options on the script to make it work on your server setup.

In my case, i had to change:

# JVM to use to start Red5
JAVA_HOME=/usr/lib/jvm/java-6-openjdk/

to

JAVA_HOME=/usr/lib/jvm/java-6-sun/

Also make sure that your red5 is installed in the preferred location

RED5_HOME=/usr/share/red5/

If not, you need to go over the script and update the path.

Note that the script will run under a user _red5. You need to create this user, or edit the script and update it with a valid username.

#!/bin/sh
#
# Copyright (c) 2007 Javier Fernandez-Sanguino <jfs@debian.org>
#
# This is free software; you may redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2,
# or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License with
# the Debian operating system, in /usr/share/common-licenses/GPL;  if
# not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA
#
### BEGIN INIT INFO
# Provides:          red5-server
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Should-Start:      $named
# Should-Stop:       $named
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Red5
# Description:       Flash streaming server
### END INIT INFO

. /lib/lsb/init-functions

# Default options, these can be overriden by the information
# at /etc/default/red5

# Whether to start Red5 (as a daemon or not)
NO_START=0

# Time to wait for the server to die, in seconds
DIETIME=30

# Time to wait for the server to start, in seconds
STARTTIME=5

# Users to run the daemons as. If this value
# is set start-stop-daemon will chuid the server
DAEMONUSER=_red5

# JVM to use to start Red5
JAVA_HOME=/usr/lib/jvm/java-6-sun/

# JVM options for startup
JAVA_OPTS=

# Home of Red5 server
RED5_HOME=/usr/share/red5/

# Options for Red5 server
RED5_OPTS=

# End of variables that can be overwritten

# Include defaults if available
if [ -f /etc/default/$NAME ] ; then
    . /etc/default/$NAME
fi

#Others configuration options not overrideable
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DAEMON=/usr/share/red5/red5.sh
DAEMON_STOP=/usr/share/red5/red5-shutdown.sh
RED5_MAINCLASS=org.red5.server.Bootstrap
NAME=red5-server
DESC="Flash streaming server"
PIDFILE=/var/run/$NAME.pid

test -x $DAEMON || exit 0

# Check that the user exists (if we set a user)
# Does the user exist?
if [ -n "$DAEMONUSER" ] ; then
    if getent passwd | grep -q "^$DAEMONUSER:"; then
        # Obtain the uid and gid
        DAEMONUID=`getent passwd |grep "^$DAEMONUSER:" | awk -F : '{print $3}'`
        DAEMONGID=`getent passwd |grep "^$DAEMONUSER:" | awk -F : '{print $4}'`
    else
        log_failure_msg "The user $DAEMONUSER, required to run $NAME does not exist."
        exit 1
    fi
fi

# Check whether startup has been disabled
if [ "$NO_START" != "0" -a "$1" != "stop" ]; then
        [ "$VERBOSE" != "no" ] && log_failure_msg "Not starting $NAME - edit /etc/default/$NAME and change NO_START to be 0 (or comment it out)."
        exit 0
fi

set -e

running_pid() {
# Check if a given process pid's cmdline matches a given name
    pid=$1
    [ -z "$pid" ] && return 1
    [ ! -d /proc/$pid ] &&  return 1
    cmd=`cat /proc/$pid/cmdline | tr "\000" "\n"|tail -n 1 |cut -d : -f 1`
    exe=`basename $cmd`
    # Is this the expected server
    [ "x$exe" != "x$RED5_MAINCLASS" ] && return 1
    return 0
}

running() {
# Check if the process is running looking at /proc
# (works for all users)
    # No pidfile, probably no daemon present
    [ ! -f "$PIDFILE" ] && return 1
    pid=`cat $PIDFILE`
    running_pid $pid || return 1
    return 0
}

start_server() {
# Start the process using the wrapper
start-stop-daemon --start --quiet --pidfile $PIDFILE --make-pidfile \
--chuid $DAEMONUSER --background \
--chdir $RED5_HOME \
--name java --startas $DAEMON -- $RED5_OPTS
errcode=$?
        return $errcode
}

stop_server() {
# Stop the process using the wrapper
start-stop-daemon --stop --quiet --pidfile $PIDFILE \
--user $DAEMONUSER \
--chdir $RED5_HOME \
--name java --startas $DAEMON_STOP -- $RED5_OPTS
errcode=$?
        return $errcode
}

reload_server() {
    [ ! -f "$PIDFILE" ] && return 1
    pid=pidofproc $PIDFILE # This is the daemon's pid
    # Send a SIGHUP
    kill -1 $pid
    return $?
}

force_stop() {
# Force the process to die killing it manually
    [ ! -e "$PIDFILE" ] && return
    if running ; then
        kill -15 $pid
        # Is it really dead?
        sleep "$DIETIME"s
        if running ; then
            kill -9 $pid
            sleep "$DIETIME"s
            if running ; then
                echo "Cannot kill $NAME (pid=$pid)!"
                exit 1
            fi
        fi
    fi
    rm -f $PIDFILE
}


case "$1" in
  start)
        log_daemon_msg "Starting $DESC " "$NAME"
        # Check if it's running first
        if running ;  then
            log_progress_msg "apparently already running"
            log_end_msg 0
            exit 0
        fi
        if start_server ; then
            # NOTE: Some servers might die some time after they start,
            # this code will detect this issue if STARTTIME is set
            # to a reasonable value
            [ -n "$STARTTIME" ] && sleep $STARTTIME # Wait some time
            if  running ;  then
                # It's ok, the server started and is running
                log_end_msg 0
            else
                # It is not running after we did start
                log_end_msg 1
            fi
        else
            # Either we could not start it
            log_end_msg 1
        fi
        ;;
  stop)
        log_daemon_msg "Stopping $DESC" "$NAME"
        if running ; then
            # Only stop the server if we see it running
            errcode=0
            stop_server || errcode=$?
            log_end_msg $errcode
        else
            # If it's not running don't do anything
            log_progress_msg "apparently not running"
            log_end_msg 0
            exit 0
        fi
        ;;
  force-stop)
        # First try to stop gracefully the program
        $0 stop
        if running; then
            # If it's still running try to kill it more forcefully
            log_daemon_msg "Stopping (force) $DESC" "$NAME"
            errcode=0
            force_stop || errcode=$?
            log_end_msg $errcode
        fi
        ;;
  restart|force-reload)
        log_daemon_msg "Restarting $DESC" "$NAME"
        errcode=0
        stop_server || errcode=$?
        # Wait some sensible amount, some server need this
        [ -n "$DIETIME" ] && sleep $DIETIME
        start_server || errcode=$?
        [ -n "$STARTTIME" ] && sleep $STARTTIME
        running || errcode=$?
        log_end_msg $errcode
        ;;
  status)

        log_daemon_msg "Checking status of $DESC" "$NAME"
        if running ;  then
            log_progress_msg "running"
            log_end_msg 0
        else
            log_progress_msg "apparently not running"
            log_end_msg 1
            exit 1
        fi
        ;;
  reload)
        log_warning_msg "Reloading $NAME daemon: not implemented, as the daemon"
        log_warning_msg "cannot re-read the config file (use restart)."
        ;;
  *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|force-stop|restart|force-reload|status}" >&2
        exit 1
        ;;
esac

exit 0